"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.auth = void 0;
const jsonwebtoken_1 = require("jsonwebtoken");
const errors_1 = require("../utils/errors");
const user_record_1 = require("../records/user.record");
const auth = async (req, res, next) => {
    const { token } = req.session;
    if (!token) {
        throw new errors_1.AuthError('Not authorized to access this route');
    }
    try {
        const decoded = (0, jsonwebtoken_1.verify)(token, process.env.JWT_SECRET);
        req.session.user = await user_record_1.UserRecord.findOneById(decoded.id);
        next();
    }
    catch (err) {
        console.error(err);
        throw new errors_1.AuthError('Not authorized to access this route');
    }
};
exports.auth = auth;
//# sourceMappingURL=auth.js.map