"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleError = exports.handleMySQLError = exports.AuthError = exports.ValidationError = void 0;
class ValidationError extends Error {
}
exports.ValidationError = ValidationError;
class AuthError extends Error {
}
exports.AuthError = AuthError;
const handleMySQLError = (err, req, res, next) => {
    switch (err.code) {
        case 'ER_DUP_ENTRY':
            return res.status(400).json({
                message: 'User with given email already exists',
            });
        default:
            next(err);
    }
};
exports.handleMySQLError = handleMySQLError;
// Comment: next function parameter is required for error handler to properly access error instance information
// eslint-disable-next-line
const handleError = (err, req, res, next) => {
    console.log(err);
    if (err instanceof ValidationError)
        return res.status(400).json({ message: err.message });
    if (err instanceof AuthError)
        return res.status(401).json({ message: err.message || 'User unauthorized' });
    res.status(500).json({ message: 'Internal Server Error' });
};
exports.handleError = handleError;
//# sourceMappingURL=errors.js.map