"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.comparePassword = exports.encryptPassword = void 0;
const bcrypt_1 = require("bcrypt");
const encryptPassword = async (password) => {
    const salt = await (0, bcrypt_1.genSalt)();
    const hashedPassword = await (0, bcrypt_1.hash)(password, salt);
    return hashedPassword;
};
exports.encryptPassword = encryptPassword;
const comparePassword = async (password1, password2) => {
    const result = await (0, bcrypt_1.compare)(password1, password2);
    return result;
};
exports.comparePassword = comparePassword;
//# sourceMappingURL=user.js.map